# include	"TransSkel.h"

# include	"FLMaca.h"
# include	"FaceLift.h"


/*
 * Offsets of each field in the map and font lists.  There is one
 * extra value, which is actually the offset of the right edge of
 * the last field.  These offsets are relative to the text area.
 */


# define	mapFields	8		/* number of fields in mapping */


static short		mapOffsets[mapFields + 1] =
{
	0,
	12,
	122,
	162,
	218,
	230,
	340,
	380,
	436
};


static LineList	mapStruct =
{
	nil,						/* port - filled in later        */
	nil,						/* control - filled in later     */
	{ 150, 5, 246, 440 },		/* text display rect, t, l, b, r */
	0,							/* max lines (set by InitList)   */
	6,							/* max visible lines             */
	0,							/* top visible line              */
	16,							/* line height                   */
	0,							/* number of lines               */
	noLine,						/* current line                  */
	false,						/* no hiliting                   */
	mapFields,					/* number of fields/line         */
	mapOffsets,					/* field offsets                 */
	nil							/* line array (set by InitList)  */
};



WindowPtr	mapWind;

LListPtr		mapList = &mapStruct;
MapSpec		mapSpec[maxMappings];

Boolean		mapModified = false;
Boolean		showBadFormats = true;
Boolean		showCurFont = true;

int			undoOp = noUndo;
int			undoVal;
int			undoPos;
int			undoFieldType;
MapSpec		undoSpec;



int
main (void)
{
	SkelInit ((SkelInitParamsPtr) nil);
	MapSetup ();
	SetupMenus ();
	SkelEventLoop ();
	SkelCleanup ();
}
